--- a/net/mac80211/tx.c
+++ b/net/mac80211/tx.c
@@ -4015,6 +4015,12 @@ out:
 netdev_tx_t ieee80211_subif_start_xmit(struct sk_buff *skb,
 				       struct net_device *dev)
 {
+#if defined(sk_pacing_shift) || LINUX_VERSION_IS_GEQ(4,15,0)
+	if (skb->sk && sk_fullsock(skb->sk) &&
+	    skb->sk->sk_pacing_shift != 6)
+		skb->sk->sk_pacing_shift = 6;
+#endif
+
 	if (unlikely(ieee80211_multicast_to_unicast(skb, dev))) {
 		struct sk_buff_head queue;
 
